Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157601 - A 'configtest' parameter for the named service (attached).
Summary: A 'configtest' parameter for the named service (attached).
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bind
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2005-05-13 03:08 UTC by Mike MacCana
Modified: 2013-04-30 23:33 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0743
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 16:03:15 UTC


Attachments (Terms of Use)
updated init script with 'checkconf' parameter. (deleted)
2005-05-13 03:08 UTC, Mike MacCana
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0743 normal SHIPPED_LIVE bind bug fix and enhancement update 2007-11-14 17:08:35 UTC

Description Mike MacCana 2005-05-13 03:08:26 UTC
Description of problem:
- apachectl configtest
- named-checkconf
- testparm

It's hard for users to remember these different syntax checking tools. httpd's
init script has a 'configtest' parameter. Here's a named one. I'm submitting one
for smb in a sec.

The aim: consistency.

Its a minor change, so do you think this one could be rolled into the next RHEL4
bind update?

Comment 1 Mike MacCana 2005-05-13 03:08:27 UTC
Created attachment 114320 [details]
updated init script with 'checkconf' parameter.

Comment 2 Jason Vas Dias 2005-05-13 15:29:11 UTC
Yes, I'll make a 'checkconf' / 'check' argument for the next 
named initscript.

The implementation you attached wouldn't do it though - the
'$ckcf_options' variable, which includes the vital '-t' option,
is only set during the 'start' function. 

The 'start' function already does the named-checkconfig, since
without it named would start, fork a child and return 0; the
child would go on to check the configuration and could fail.


Comment 3 Mike MacCana 2005-05-16 07:56:51 UTC
You mean it'll work, but I've screwed up the options, so it won't use
any :^). Indeed start already does the named-checkconf, but for
consistency with httpd and so on, it's nice to have a seperate check.

Thanks Jason.

Whether it'd 'checkconf' or 'check', it should be the same as httpd
and (in future) smb in the same release.

Comment 4 Jason Vas Dias 2005-05-18 02:30:45 UTC
This is now fixed with bind-9.3.1-4 in rawhide-2005-05-18 / FC4 

Comment 5 RHEL Product and Program Management 2006-08-18 17:43:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 RHEL Product and Program Management 2007-05-09 11:18:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 17 errata-xmlrpc 2007-11-15 16:03:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0743.html



Note You need to log in before you can comment on or make changes to this bug.